{
  "schema_version": "1.4.0",
  "id": "GHSA-xfxv-84p3-w8rg",
  "modified": "2022-05-13T01:18:44Z",
  "published": "2022-05-13T01:18:44Z",
  "aliases": [
    "CVE-2018-1000127"
  ],
  "details": "memcached version prior to 1.4.37 contains an Integer Overflow vulnerability in items.c:item_free() that can result in data corruption and deadlocks due to items existing in hash table being reused from free list. This attack appear to be exploitable via network connectivity to the memcached service. This vulnerability appears to have been fixed in 1.4.37 and later.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-1000127"
    },
    {
      "type": "WEB",
      "url": "https://github.com/memcached/memcached/issues/271"
    },
    {
      "type": "WEB",
      "url": "https://github.com/memcached/memcached/commit/a8c4a82787b8b6c256d61bd5c42fb7f92d1bae00"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:2290"
    },
    {
      "type": "WEB",
      "url": "https://github.com/memcached/memcached/wiki/ReleaseNotes1437"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2018/03/msg00031.html"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3601-1"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4218"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-03-13T21:29:00Z"
  }
}